Tembo

Easy and efficient Spotlight front end

System Requirements

Tembo requires Mac OS X 10.6.6.
It is fully compatible with Mac OS X 10.10 Yosemite.

Vous et Votre Mac